﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Anritsu MS2721B: (1 yr) VER /9640A,4418,LFCTR,LO,SWPG
DATE:                  2017-02-10 08:14:42
AUTHOR:                Fluke
REVISION:              $Revision: 18257 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       467
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         Agilent E9304A on channel 1
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS2721B, incl. Options 20 (Tracking Generator) and 31 (GPS)
#
#  Source:
#        Anritsu Spectrum Master(TM), Model MS2721B Maintenance Manual,
#          P/N 10580-00177, Revision A, Printed October 2007
#
#  Additional Equipment Required:
#        Power Splitter, Type N, 50 Ohms, DC to 18 GHz, Isolation >18 dB,
#          Insertion loss: <1 dB, Tracking: ±0.15 dB HP/Agilent 11667A or
#          equivalent
#        Kit, Calibration, Type N, 50 Ohms, applicable for use with 8720C
#          Network Analyzer, HP 85054D or equivalent
#        Attenuator, Fixed, Type N, 50 Ohms, 20 dB, DC to 18 GHz, Aeroflex/
#          Weinschel Model 44-20 or equivalent, 2 ea.
#        Attenuator, Fixed, Type N, 50 Ohms, 6 dB, DC to 18 GHz, Aeroflex/
#          Weinschel Model 44-6 or equivalent, 2 ea.
#        Attenuator, Fixed, Type N, 50 Ohms, 2 dB, DC to 18 GHz, Aeroflex/
#          Weinschel Model 44-2 or equivalent, 2 ea.
#        Termination, Type N (m), 50 Ohms, DC to 18 GHz, Anritsu 28N50-2 or
#          equivalent
#        Cable, Precision, Type N (m)-(f), 50 Ohms, DC to 18 GHz, Return Loss
#          Match: 17 dB, Insertion Loss (18 GHz): 2.7 dB, Length: 1.5 m
#          Anritsu 15NNF50-1.5B or equivalent
#        Adapter, Type N (m) to Type N (m), 50 Ohms, DC to 18 GHz, Anritsu
#          Model 34NN50A or equivalent
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                                     V
# Note, ASK+ K is necessary for measurement uncertainty.
  1.002  ASK+           K

# The following statement(s) are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.003  IF           0
  1.004  9640         Level = 0 dBm; +Freq = 1 GHz; OutputImp = 50 Ohms
  1.005  IEEE         [@LO]
  1.006  IEEE         [@SWPG]
  1.007  IEEE         [@LFCTR]
  1.008  ENDIF

  1.009  MATH         @ReqMetCalVersion = "7.20Z"
  1.010  CALL         Sub MET/CAL Version Check

  1.011  IF           NOT(@MetCalVersionOK)
  1.012  DISP         This procedure requires MET/CAL 7.20 SP3 (7.20Z)
  1.012  DISP         or later.
  1.013  END
  1.014  ENDIF

  1.015  CALL         Sub Display Copyright

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes, in an environment of 10°C to 40°C
  1.017  DISP         has been allowed to elapse, prior to proceeding.
  1.017  DISP
  1.017  DISP         Ensure specified warm-up time(s) for required
  1.017  DISP         reference devices has been satisfied.

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.018  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.019  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.020  DISP         The file parameter setting is: "acc_check=no"
  1.020  DISP
  1.020  DISP         For correct procedure execution, this parameter
  1.020  DISP         MUST be set to: "acc_check=yes"
  1.020  DISP
  1.020  DISP         Select "Advance" to terminate the procedure, exit
  1.020  DISP         MET/CAL®, change the initialization file parameter,
  1.020  DISP         restart MET/CAL, then restart the procedure.
  1.021  END
  1.022  ENDIF

  1.023  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.024  CALL         Sub Select Failed Test Mode
  1.025  CALL         Sub Select Verification Method

  1.026  HEAD         CONNECTION INFORMATION
  1.027  OPBR         -z Do you wish to review connector information and
  1.027  OPBR         precautions for the various types of connections
  1.027  OPBR         employed throughout this procedure?[NO]

  1.028  IF           MEM1
  1.029  CALL         Sub Connector Precautions (Type N)
  1.030  CALL         Sub Connector Precautions (SMA)
  1.031  ENDIF

  1.032  HEAD         PROCEDURE DESCRIPTION
  1.033  DISP         This procedure supports the MS2721B SpectrumMaster®
  1.033  DISP         Spectrum Analyzer and the following options:
  1.033  DISP
  1.033  DISP         - 20 Tracking Generator
  1.033  DISP         - 31 GPS receiver
  1.033  DISP
  1.033  DISP         [32]                       NOTE
  1.033  DISP         Many available UUT options do not require periodic
  1.033  DISP         verification.

  1.034  MATH         @VisaLAN = 1
  1.035  CALL         Sub UUT Connection VISA

  1.036  HEAD         UUT IDENTIFICATION
  1.037  CALL         Sub Anritsu MS272xB IEEE-488.2 Id Query VISA

# Make sure correct UUT is connected.
  1.038  IF           NOT(ZCMPI(@ModelNum, "MS2721B"))
  1.039  HEAD         INCORRECT UUT/PROCEDURE SELECTION!
  1.040  DISP         The UUT and the selected procedure do not match!
  1.040  DISP
  1.040  DISP         The UUT is a [V @Manufacturer] [V @ModelNum] and
  1.040  DISP         the procedure is for an Anritsu® MS2721B.
  1.040  DISP
  1.040  DISP         Please select "Advance" to terminate and select
  1.040  DISP         the proper procedure.
  1.041  END
  1.042  ENDIF

  1.043  VISA         INST:SEL?[I$]

  1.044  IF           NOT(ZCMPI(MEM2, "\"SPA\""))
  1.045  MATH         @Mode = MEM2
  1.046  VISA         INST:SEL "SPA"
  1.047  WAIT         -t 45 Changing to UUT Spectrum Analyzer application...
  1.048  ENDIF

  1.049  CALL         Sub Initialize /SWPG
  1.050  CALL         Sub Initialize /LO
  1.051  CALL         Sub Initialize /LFCTR

  1.052  HEAD         EQUIPMENT REQUIREMENTS
# Look up instrument name of external frequency reference.
  1.053  MATH         @FreqRef = INI("startup", "FreqRefDevName")
# Required timebase uncertainty (in ppm).
  1.054  MATH         FreqAcc = 0.075

  1.055  IF           EMPTY(@FreqRef)
  1.056  DISP         No Frequency Reference is currently configured.
  1.056  DISP
  1.056  DISP         Select Configure=>Instrument and ensure that the device
  1.056  DISP         you intend to use as the frequency refenence is
  1.056  DISP         configured.
  1.056  DISP
  1.056  DISP         Then select Configure=>Frequency Reference, and select
  1.056  DISP         that device.
  1.057  END
  1.058  ENDIF

  1.059  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.059  OPBR         additional equipment and/or accessories required?

  1.060  IF           MEM1
  1.061  HEAD         FLEXIBLE STANDARDS
  1.062  MATH         HF = @LFCTR_ChHF
  1.063  DISP         The minimum use specifications of the following devices,
  1.063  DISP         configured as flexible standards, must be satisfied.
  1.063  DISP
  1.063  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.063  DISP
  1.063  DISP         [32]Local Oscillator    LO     [V @LO_DevName]
  1.063  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]
  1.063  DISP         [32]LF Counter          LFCTR  [V @LFCTR_DevName] [V HF]

  1.064  HEAD         -2 (Synthesized) Sweep Generator (SWPG)
  1.065  OPBR         -z SWPG: [V @SWPG_DevName]
  1.065  OPBR
  1.065  OPBR         Minimum Use Specifications:
  1.065  OPBR         [32] Frequency Range: 10 MHz to 8 GHz, CW
  1.065  OPBR         [32]   Accuracy:
  1.065  OPBR         [32]     Internal: ±1 ppm or better
  1.065  OPBR         [32]     External: ±[V FreqAcc] ppm or better (based on
  1.065  OPBR         [32]               external frequency reference)
  1.065  OPBR
  1.065  OPBR         [32] Amplitude Range: -40 dBm to +16 dBm
  1.065  OPBR         [32]   Accuracy: ±1 dB or less
  1.065  OPBR         [32]   Resolution: 0.05 dB
  1.065  OPBR
  1.065  OPBR         [32] SSB Phase Noise:
  1.065  OPBR         [32]   >= 100 kHz offset: <-79 dBc/Hz
  1.065  OPBR
  1.065  OPBR         Does the [V @SWPG_DevName] satisfy the above Minimum
  1.065  OPBR         Use Specifications?
  1.066  MATH         SWPG = MEM1

  1.067  HEAD         -2 Local Oscillator (LO)
  1.068  OPBR         -z LO: [V @LO_DevName]
  1.068  OPBR
  1.068  OPBR         Minimum Use Specifications:
  1.068  OPBR         [32] Frequency Range: 10 MHz to 8 GHz, CW
  1.068  OPBR         [32]   Accuracy:
  1.068  OPBR         [32]     Internal: ±1 ppm or better
  1.068  OPBR         [32]     External: ±[V FreqAcc] ppm or better (based on
  1.068  OPBR         [32]               external frequency reference)
  1.068  OPBR
  1.068  OPBR         [32] Amplitude Range: -40 dBm to +16 dBm
  1.068  OPBR         [32]   Accuracy: ±1 dB or less
  1.068  OPBR         [32]   Resolution: 0.05 dB
  1.068  OPBR
  1.068  OPBR         [32] SSB Phase Noise:
  1.068  OPBR         [32]    10 kHz offset: <-106 dBc/Hz
  1.068  OPBR         [32]    20 kHz offset: <-106 dBc/Hz
  1.068  OPBR         [32]    30 kHz offset: <-106 dBc/Hz
  1.068  OPBR         [32]   100 kHz offset: <-108 dBc/Hz
  1.068  OPBR
  1.068  OPBR         Does the [V @LO_DevName] satisfy the above Minimum
  1.068  OPBR         Use Specifications?
  1.069  MATH         LO = MEM1

  1.070  HEAD         -2 LF Counter (LFCTR)
  1.071  OPBR         -z LFCTR: [V @LFCTR_DevName]
  1.071  OPBR
  1.071  OPBR         Minimum Use Specifications:
  1.071  OPBR         [32] [V HF] Frequency Range: 1 GHz
  1.071  OPBR         [32]   Accuracy: ±[V FreqAcc] ppm or better (based on
  1.071  OPBR         [32]             external frequency reference)
  1.071  OPBR
  1.071  OPBR         Does the [V @LFCTR_DevName] satisfy the above Minimum
  1.071  OPBR         Use Specifications?
  1.072  MATH         LFCTR = MEM1

  1.073  HEAD         -2 External Frequency Reference (XREF)
  1.074  OPBR         -z XREF: [V @FreqRef]
  1.074  OPBR
  1.074  OPBR         Minimum Use Specifications:
  1.074  OPBR         [32]   Accuracy: [V FreqAcc] ppm/year
  1.074  OPBR
  1.074  OPBR         Does the [V @FreqRef] satisfy the above Minimum Use
  1.074  OPBR         Specifications?
  1.075  MATH         XREF = MEM1

  1.076  HEAD         -2

  1.077  IF           NOT(SWPG)
  1.078  DISP         Currently configured SWPG (Sweep Generator):
  1.078  DISP
  1.078  DISP         [32][V @SWPG_DevName]
  1.078  DISP
  1.078  DISP         does not satisfy procedure Minimum Use Specifications.
  1.079  ENDIF

  1.080  IF           NOT(LO)
  1.081  DISP         Currently configured LO (Local Oscillator):
  1.081  DISP
  1.081  DISP         [32][V @LO_DevName]
  1.081  DISP
  1.081  DISP         does not satisfy procedure Minimum Use Specifications.
  1.082  ENDIF

  1.083  IF           NOT(LFCTR)
  1.084  DISP         Currently configured LFCTR (LF Counter):
  1.084  DISP
  1.084  DISP         [32][V @LFCTR_DevName]
  1.084  DISP
  1.084  DISP         does not satisfy procedure Minimum Use Specifications.
  1.085  ENDIF

  1.086  IF           NOT(XREF)
  1.087  DISP         Currently configured XREF (Ext Frequency Reference):
  1.087  DISP
  1.087  DISP         [32][V @FreqRef]
  1.087  DISP
  1.087  DISP         does not satisfy procedure Minimum Use Specifications.
  1.088  ENDIF

  1.089  IF           NOT(SWPG) || NOT(LO)  || NOT(LFCTR) || NOT(XREF)
  1.090  HEAD         FLEXIBLE STANDARD(S) UNSATISFACTORY FOR PROCEDURE USE!
  1.091  DISP         Flexible Standard(s) currently configured for use with
  1.091  DISP         this procedure have been identified as not satisfying
  1.091  DISP         the Minimum Use Specifications.
  1.091  DISP
  1.091  DISP         Select "Advance" to abort procedure, configure suitable
  1.091  DISP         device(s) to replace those identified, then restart the
  1.091  DISP         procedure from the beginning.
  1.092  END
  1.093  ENDIF

  1.094  HEAD         ADDITIONAL EQUIPMENT/ACCESSORIES REQUIRED
  1.095  HEAD         -2 Page 1 of 2
  1.096  DISP         - Power Splitter, Type N, 50 Ohms, DC to 18 GHz,
  1.096  DISP         [32] Isolation >18 dB, Insertion loss: <1 dB, Tracking:
  1.096  DISP         [32] ±0.15 dB; HP/Agilent® 11667A or equivalent
  1.096  DISP         - Kit, Calibration, Type N, 50 Ohms, applicable for use
  1.096  DISP         [32] with HP® 8720C Network Analyzer, HP 85054B or
  1.096  DISP         [32] equivalent
  1.096  DISP         - Adapter Set, Type N, Special, 50 Ohms, applicable for
  1.096  DISP         [32] use with HP 8720C Network Analyzer, HP 85130C or
  1.096  DISP         [32] equivalent
  1.096  DISP         - Attenuator, Fixed, Type N, 50 Ohms, 20 dB,
  1.096  DISP         [32] DC to 18 GHz, Aeroflex®/Weinschel Model 44-20 or
  1.096  DISP         [32] equivalent, 2 ea.
  1.096  DISP         - Attenuator, Fixed, Type N, 50 Ohms, 6 dB,
  1.096  DISP         [32] DC to 18 GHz, Aeroflex/Weinschel® Model 44-6 or
  1.096  DISP         [32] equivalent, 2 ea.
  1.096  DISP         - Attenuator, Fixed, Type N, 50 Ohms, 2 dB, DC to
  1.096  DISP         [32] 18 GHz, Aeroflex/Weinschel Model 44-2 or
  1.096  DISP         [32] equivalent, 2 ea.
  1.096  DISP         - Termination, Type N (m), 50 Ohms, DC to 18 GHz,
  1.096  DISP         [32] Anritsu® 28N50-2 or equivalent

  1.097  HEAD         -2 Page 2 of 2
  1.098  DISP         - Cable, Precision, Type N (m)-(f), 50 Ohms, DC to
  1.098  DISP         [32] 18 GHz, Return Loss Match: 17 dB, Insertion Loss
  1.098  DISP         [32] (18 GHz): 2.7 dB, Length: 1.5 m; Anritsu
  1.098  DISP         [32] 15NNF50-1.5B or equivalent
  1.098  DISP         - Adapter, Type N (m) to Type N (m), 50 Ohms, DC to
  1.098  DISP         [32] 18 GHz, Anritsu Model 34NN50A or equivalent
  1.098  DISP         - Adapter, K (m) to Type N (f), 50 Ohms, DC to
  1.098  DISP         [32] 18 GHz, Anritsu Model 34RKNF50 or equivalent
  1.098  DISP         - Adapter, Type "N" (m)-3.5 (m), 50 Ohms, DC to 8 GHz,
  1.098  DISP         [32] 3 ea.
  1.098  DISP         - Adapter, Type "N" (m)-3.5 (f), 50 Ohms, DC to 8 GHz
  1.098  DISP         - Cable assy., Type "N" (m)-(m), 50 Ohms, DC to 8 GHz,
  1.098  DISP         [32] 36"
  1.098  DISP         - Cable assy., BNC (m)-(m), 50 Ohms, 36", 2 ea.
  1.099  ENDIF

  1.100  HEAD         POWER METER CAL FACTORS
  1.101  HEAD         -2 Cal Factor Maintenance
  1.102  OPBR         -z Do you wish to review, enter, or delete E441x
  1.102  OPBR         cal factor table entries for the 8481A and/or the
  1.102  OPBR         8481D sensor(s) prior to proceeding?

  1.103  IF           MEM1
  1.104  CALL         Sub HP/Agilent E441x Cal Factor Utility IEEE
  1.105  ENDIF

  1.106  HEAD         -2

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to minimize
# connection changes during execution. Test results, however, are reported in
# test number sequence, consistent with the source documentation.
#
# Anritsu MS2721B
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   FREQUENCY ACCURACY TEST            DISPLAYED AVERAGE NOISE LEVEL
#    2.   SSB PHASE NOISE TEST               RESIDUAL SPURIOUS RESPONSE TEST
#    3.   RESOLUTION BANDWIDTH ACCURACY      RESOLUTION BANDWIDTH ACCURACY
#    4.   2ND HARMONIC DISTORTION TEST       2ND HARMONIC DISTORTION TEST
#    5.   THIRD-ORDER INTERCEPT TEST         INPUT RELATED SPURIOUS SIGNALS
#    6.   DISPLAYED AVERAGE NOISE LEVEL      ABSOLUTE AMPLITUDE ACCURACY
#    7.   RESIDUAL SPURIOUS RESPONSE TEST    AMPLITUDE ACROSS FREQUENCY (HF1)
#    8.   INPUT RELATED SPURIOUS SIGNALS     AMPLITUDE ACROSS FREQUENCY (LF)
#    9.   ABSOLUTE AMPLITUDE ACCURACY        FREQUENCY ACCURACY TEST
#   10.   AMPLITUDE ACROSS FREQUENCY (HF1)   SSB PHASE NOISE TEST
#   10a.  AMPLITUDE ACROSS FREQUENCY (HF2)   THIRD-ORDER INTERCEPT TEST
#   10b.  AMPLITUDE ACROSS FREQUENCY (LF)    AMPLITUDE ACROSS FREQUENCY (HF2)
#   11.   RF INPUT VSWR                      RF INPUT VSWR
#   12.   TRACKING GENERATOR (Option 20)     TRACKING GENERATOR (Option 20)
#   13.   GPS (Option 31)                    GPS (Option 31)
#
# * If fitted

  1.107  HEAD         FREQUENCY REFERENCE CONNECTIONS
  1.108  DISP         Make the following connections:
  1.108  DISP
  1.108  DISP         [V @FreqRef] 10 MHz OUT to UUT EXT REF IN.
  1.108  DISP
  1.108  DISP         [V @FreqRef] 10 MHz OUT to Fluke 9640A REF FREQUENCY
  1.108  DISP         INPUT.
  1.108  DISP
  1.108  DISP         [V @FreqRef] 10 MHz OUT to [V @LO_DevName]
  1.108  DISP         [V @LO_RefIn].
  1.108  DISP
  1.108  DISP         [V @FreqRef] 10 MHz OUT to [V @SWPG_DevName]
  1.108  DISP         [V @SWPG_RefIn].

  1.109  JMPL         DANL

  1.110  LABEL        FREQUENCY_ACCURACY
  1.111  CALL         Sub MS272xB (1 yr) Frequency Accuracy VER /LO
  1.112  CALL         Sub MS272xB (1 yr) Phase Noise VER /LO
  1.113  JMPL         GPS_RECEIVER                 @Opt031
  1.114  JMPL         THIRD_ORDER

  1.115  LABEL        RESOLUTION_BANDWIDTH
  1.116  CALL         Sub MS272xB (1 yr) Resolution Bandwidth VER VISA /9640
  1.117  CALL         Sub MS272xB (1 yr) 2nd Harm Distortion VER VISA /9640
  1.118  JMPL         INPUT_SPURS

  1.119  LABEL        THIRD_ORDER
  1.120  DISP         Connect the E9304A Power Sensor to the E441x.
  1.121  M4418  F32   E9304A
  1.122  DISP         Connect the sensor to the POWER REF output.
  1.123  4418         1mW                          50MH              CP N  CH1
  1.124  CALL         Sub MS272xB (1 yr) TOI VER /4418,LO,SWPG
  1.125  JMPL         HF_RESPONSE

  1.126  LABEL        DANL
  1.127  CALL         Sub MS2721B (1 yr) Average Noise Level VER VISA
  1.128  CALL         Sub MS2721B (1 yr) Residual Spurious VER VISA
  1.129  JMPL         RESOLUTION_BANDWIDTH

  1.130  LABEL        INPUT_SPURS
  1.131  CALL         Sub MS2721B (1 yr) Input Related Spurs VER VISA /9640
  1.132  CALL         Sub MS272xB (1 yr) Absolute Amplitude VER VISA /9640
  1.133  CALL         Sub MS2721B (1 yr) HF Response VER VISA /9640
  1.134  JMPL         LF_RESPONSE

  1.135  LABEL        HF_RESPONSE
  1.136  CALL         Sub MS2721B (1 yr) HF Response VER VISA /437,SWPG
  1.137  JMPL         TRACK_GEN_LEVEL              @Opt020
  1.138  JMPL         VSWR

  1.139  LABEL        LF_RESPONSE
  1.140  CALL         Sub MS272xB (1 yr) LF Response VER VISA /9640
  1.141  JMPL         FREQUENCY_ACCURACY

  1.142  LABEL        VSWR
  1.143  CALL         Sub MS2721B (1 yr) Input VSWR VER VISA /VNA
  1.144  JMPL         END

# Options follow...
  1.145  LABEL        TRACK_GEN_FREQ
  1.146  CALL         Sub MS2721B (1 yr) Track Gen Freq VER VISA /LFCTR
  1.147  JMPL         VSWR

  1.148  LABEL        TRACK_GEN_LEVEL
  1.149  CALL         Sub MS2721B (1 yr) Track Gen Level VER VISA /4418
  1.150  JMPL         TRACK_GEN_FREQ

  1.151  LABEL        GPS_RECEIVER
  1.152  CALL         Sub MS272xB (1 yr) GPS Option VER VISA /LO
  1.153  JMPL         THIRD_ORDER

  1.154  LABEL        END
# Restore instrument measurement mode to 'on receipt', as necessary.
  1.155  IF           ISVAR("@Mode")
  1.156  VISA         INST:SEL [V @Mode]
  1.157  WAIT         -t 45 Changing to UUT [V @Mode] application...
  1.158  ENDIF

  1.159  END
