﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS2721B (1 yr) Average Noise Level VER VISA
INSTRUMENT:            Sub MS2721B (1 yr) Residual Spurious VER VISA
DATE:                  2009-11-17
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       31
NUMBER OF LINES:       395
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS2721B
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Anritsu MS272xB Sweep Complete
#        Sub Anritsu MS272xB Take Sweep (MKPK)
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        Termination, Type N (m), 50 Ohms, DC to 18 GHz, Anritsu 28N50-2 or
#          equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         NOISE                        PSUBI("Noise")
  1.002  JMPL         RESIDUAL                     PSUBI("Residual")
  1.003  DISP         Called {Subprocedure Not Found}!
  1.004  END

  1.005  EVAL   Increment Test Number

# ====== Sub Anritsu MS2721B (1 yr) Average Noise Level VER ================

  2.001  LABEL        NOISE

  2.002  RSLT         =
  2.003  HEAD         {DISPLAYED AVERAGE NOISE LEVEL}
  2.004  RSLT         =
  2.005  RSLT         =Preamp On
  2.006  TARGET       -p

  2.007  DISP         Connect a Type "N" (male) 50 Ohm termination
  2.007  DISP         (DC to 7 GHz) to the UUT RF INPUT.

  2.008  DISP         The next routine operator intervention occurs
  2.008  DISP         in approximately 1 hour, 30 minutes...

  2.009  VISA         SYST:PRES
  2.010  VISA         INIT:CONT OFF
  2.011  VISA         DISP:WIND:TRAC:Y:RLEV -50;:POW:ATT 0;AUTO OFF
  2.012  VISA         POW:GAIN ON;:DET:FUNC RMS;:BWID:RES 100E+3;VID 1E+3
  2.013  VISA         FREQ:STAR 10E+6;STOP 1E+9
  2.014  VISA         INIT:IMM
  2.015  CALL         Sub Anritsu MS272xB Sweep Complete

  2.016  HEAD         DISPLAYED AVERAGE NOISE LEVEL (Preamp On)
  2.017  HEAD         -2 Span: 10 MHz - 1 GHz
  2.018  TARGET       -p
  2.019  TSET         TDESC = 10 MHz - 1 GHz; NTHROW = 0
  2.020  TARGET       -m
  2.021  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  2.022  VISA         CALC:MARK:Y?[I]
# Convert reading taken in 100 kHz RBW to equivalent 1 Hz RBW.
  2.023  MATH         MEM = MEM - 50
  2.024  ACC          dBm            1.25U                                 +DW
  2.025  MEMCX        -161.0dBm      -39.0U

  3.001  HEAD         -2 Span: 1 GHz - 2.2 GHz
  3.002  TSET         TDESC = 1 GHz - 2.2 GHz; NTHROW = 0
  3.003  VISA         FREQ:STAR 1E+9;STOP 2.2E+9
  3.004  TARGET       -m
  3.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  3.006  VISA         CALC:MARK:Y?[I]
  3.007  MATH         MEM = MEM - 50
  3.008  ACC          dBm            1.25U                                 +DW
  3.009  MEMCX        -159.0dBm      -41.0U

  4.001  HEAD         -2 Span: 2.2 GHz - 2.8 GHz
  4.002  TSET         TDESC = 2.2 GHz - 2.8 GHz; NTHROW = 0
  4.003  VISA         FREQ:STAR 2.2E+9;STOP 2.8E+9;:BWID:VID 300
  4.004  TARGET       -m
  4.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  4.006  VISA         CALC:MARK:Y?[I]
  4.007  MATH         MEM = MEM - 50
  4.008  ACC          dBm            1.25U                                 +DW
  4.009  MEMCX        -153.0dBm      -47.0U

  5.001  HEAD         -2 Span: 2.8 GHz - 4.0 GHz
  5.002  TSET         TDESC = 2.8 GHz - 4.0 GHz; NTHROW = 0
  5.003  VISA         FREQ:STAR 2.8E+9;STOP 4.0E+9
  5.004  TARGET       -m
  5.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  5.006  VISA         CALC:MARK:Y?[I]
  5.007  MATH         MEM = MEM - 50
  5.008  ACC          dBm            1.25U                                 +DW
  5.009  MEMCX        -159.0dBm      -41.0U

  6.001  HEAD         -2 Span: 4.0 GHz - 7.1 GHz
  6.002  TSET         TDESC = 4.0 GHz - 7.1 GHz; NTHROW = 0
  6.003  VISA         FREQ:STAR 4.0E+9;STOP 7.1E+9
  6.004  TARGET       -m
  6.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  6.006  VISA         CALC:MARK:Y?[I]
  6.007  MATH         MEM = MEM - 50
  6.008  ACC          dBm            1.75U                                 +DW
  6.009  MEMCX        -154.0dBm      -46.0U

  7.001  HEAD         DISPLAYED AVERAGE NOISE LEVEL (Preamp Off)
  7.002  HEAD         -2
  7.003  RSLT         =
  7.004  RSLT         =Preamp Off
  7.005  TARGET       -p
  7.006  VISA         SYST:PRES
  7.007  VISA         INIT:CONT OFF
  7.008  VISA         DISP:WIND:TRAC:Y:RLEV -20;:POW:ATT 0;AUTO OFF
  7.009  VISA         POW:GAIN OFF;:DET:FUNC RMS;:BWID:RES 100E+3;VID 1E+3
  7.010  VISA         FREQ:STAR 10E+6;STOP 1E+9
  7.011  VISA         INIT:IMM
  7.012  CALL         Sub Anritsu MS272xB Sweep Complete

  7.013  HEAD         -2 Span: 10 MHz - 1 GHz
  7.014  TARGET       -p
  7.015  TSET         TDESC = 10 MHz - 1 GHz; NTHROW = 0
  7.016  TARGET       -m
  7.017  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  7.018  VISA         CALC:MARK:Y?[I]
# Convert reading taken in 100 kHz RBW to equivalent 1 Hz RBW.
  7.019  MATH         MEM = MEM - 50
  7.020  ACC          dBm            1.25U                                 +DW
  7.021  MEMCX        -137.0dBm      -63.0U

  8.001  HEAD         -2 Span: 1 GHz - 2.2 GHz
  8.002  TSET         TDESC = 1 GHz - 2.2 GHz; NTHROW = 0
  8.003  VISA         FREQ:STAR 1E+9;STOP 2.2E+9
  8.004  TARGET       -m
  8.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  8.006  VISA         CALC:MARK:Y?[I]
  8.007  MATH         MEM = MEM - 50
  8.008  ACC          dBm            1.25U                                 +DW
  8.009  MEMCX        -133.0dBm      -67.0U

  9.001  HEAD         -2 Span: 2.2 GHz - 2.8 GHz
  9.002  TSET         TDESC = 2.2 GHz - 2.8 GHz; NTHROW = 0
  9.003  VISA         FREQ:STAR 2.2E+9;STOP 2.8E+9;:BWID:VID 300
  9.004  TARGET       -m
  9.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  9.006  VISA         CALC:MARK:Y?[I]
  9.007  MATH         MEM = MEM - 50
  9.008  ACC          dBm            1.25U                                 +DW
  9.009  MEMCX        -126.0dBm      -74.0U

 10.001  HEAD         -2 Span: 2.8 GHz - 4.0 GHz
 10.002  TSET         TDESC = 2.8 GHz - 4.0 GHz; NTHROW = 0
 10.003  VISA         FREQ:STAR 2.8E+9;STOP 4.0E+9
 10.004  TARGET       -m
 10.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 10.006  VISA         CALC:MARK:Y?[I]
 10.007  MATH         MEM = MEM - 50
 10.008  ACC          dBm            1.25U                                 +DW
 10.009  MEMCX        -136.0dBm      -64.0U

 11.001  HEAD         -2 Span: 4.0 GHz - 7.1 GHz
 11.002  TSET         TDESC = 4.0 GHz - 7.1 GHz; NTHROW = 0
 11.003  VISA         FREQ:STAR 4.0E+9;STOP 7.1E+9
 11.004  TARGET       -m
 11.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 11.006  VISA         CALC:MARK:Y?[I]
 11.007  MATH         MEM = MEM - 50
 11.008  ACC          dBm            1.75U                                 +DW
 11.009  MEMCX        -127.0dBm      -73.0U

 12.001  HEAD         -2
 12.002  VISA         SYST:PRES
 12.003  HEAD
 12.004  END

 12.005  EVAL   Increment Test Number

# ====== Sub Anritsu MS2721B (1 yr) Residual Spurious VER ==================

 13.001  LABEL        RESIDUAL

 13.002  RSLT         =
 13.003  HEAD         {RESIDUAL SPURIOUS RESPONSE}
 13.004  RSLT         =
 13.005  RSLT         =Preamp On
 13.006  TARGET       -p
 13.007  TSET         TDESC = 100 kHz to 10 MHz; NTHROW = 0
 13.008  VISA         SYST:PRES
 13.009  VISA         INIT:CONT OFF
 13.010  VISA         DISP:WIND:TRAC:Y:RLEV -50;:POW:ATT 0;AUTO OFF
 13.011  VISA         POW:GAIN ON;:DET:FUNC POS;:BWID:RES 10E+3;VID 1E+3
 13.012  VISA         FREQ:STAR 100E+3;STOP 10E+6
 13.013  VISA         INIT:IMM
 13.014  CALL         Sub Anritsu MS272xB Sweep Complete

 13.015  HEAD         RESIDUAL SPURIOUS RESPONSE (Preamp On)
 13.016  HEAD         -2 Span: 100 kHz to 10 MHz
 13.017  TSET         TDESC = 100 kHz to 10 MHz; NTHROW = 0
 13.018  TARGET       -m
 13.019  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 13.020  VISA         CALC:MARK:Y?[I]
 13.021  ACC          dBm            1.50U                                 +DW
 13.022  MEMCX        -100.0dBm      -50.0U

 14.001  HEAD         -2 Span: 10 MHz to 1 GHz
 14.002  TSET         TDESC = 10 MHz - 1 GHz; NTHROW = 0
 14.003  VISA         FREQ:STAR 10E+6;STOP 1E+9
 14.004  TARGET       -m
 14.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 14.006  VISA         CALC:MARK:Y?[I]
 14.007  ACC          dBm            1.25U                                 +DW
 14.008  MEMCX        -100.0dBm      -50.0U

 15.001  HEAD         -2 Span: 1 GHz to 2 GHz
 15.002  TSET         TDESC = 1 GHz to 2 GHz; NTHROW = 0
 15.003  VISA         FREQ:STAR 1E+9;STOP 2E+9
 15.004  TARGET       -m
 15.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 15.006  VISA         CALC:MARK:Y?[I]
 15.007  ACC          dBm            1.25U                                 +DW
 15.008  MEMCX        -100.0dBm      -50.0U

 16.001  HEAD         -2 Span: 2 GHz to 3 GHz
 16.002  TSET         TDESC = 2 GHz to 3 GHz; NTHROW = 0
 16.003  VISA         FREQ:STAR 2E+9;STOP 3E+9
 16.004  TARGET       -m
 16.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 16.006  VISA         CALC:MARK:Y?[I]
 16.007  ACC          dBm            1.25U                                 +DW
 16.008  MEMCX        -100.0dBm      -50.0U

 17.001  HEAD         -2 Span: 3 GHz to 4 GHz
 17.002  TSET         TDESC = 3 GHz to 4 GHz; NTHROW = 0
 17.003  VISA         FREQ:STAR 3E+9;STOP 4E+9
 17.004  TARGET       -m
 17.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 17.006  VISA         CALC:MARK:Y?[I]
 17.007  ACC          dBm            1.25U                                 +DW
 17.008  MEMCX        -100.0dBm      -50.0U

 18.001  HEAD         -2 Span: 4 GHz to 5 GHz
 18.002  TSET         TDESC = 4 GHz to 5 GHz; NTHROW = 0
 18.003  VISA         FREQ:STAR 4E+9;STOP 5E+9
 18.004  TARGET       -m
 18.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 18.006  VISA         CALC:MARK:Y?[I]
 18.007  ACC          dBm            1.75U                                 +DW
 18.008  MEMCX        -100.0dBm      -50.0U

 19.001  HEAD         -2 Span: 5 GHz to 6 GHz
 19.002  TSET         TDESC = 5 GHz to 6 GHz; NTHROW = 0
 19.003  VISA         FREQ:STAR 5E+9;STOP 6E+9
 19.004  TARGET       -m
 19.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 19.006  VISA         CALC:MARK:Y?[I]
 19.007  ACC          dBm            1.75U                                 +DW
 19.008  MEMCX        -100.0dBm      -50.0U

 20.001  HEAD         -2 Span: 6 GHz to 7.1 GHz
 20.002  TSET         TDESC = 6 GHz to 7.1 GHz; NTHROW = 0
 20.003  VISA         FREQ:STAR 6E+9;STOP 7.1E+9
 20.004  TARGET       -m
 20.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 20.006  VISA         CALC:MARK:Y?[I]
 20.007  ACC          dBm            1.75U                                 +DW
 20.008  MEMCX        -100.0dBm      -50.0U

 21.001  HEAD         -2

# Changes to the VBW settings during the 'Preamp Off' tests per email from
# Tony (Jesus) DeLaHoz, Anritsu Test Engineer, 12 Nov 09.

 21.002  HEAD         RESIDUAL SPURIOUS RESPONSE (Preamp Off)
 21.003  RSLT         =
 21.004  RSLT         =Preamp Off
 21.005  TARGET       -p
 21.006  TSET         TDESC = 100 kHz to 10 MHz; NTHROW = 0
 21.007  VISA         SYST:PRES
 21.008  VISA         INIT:CONT OFF
 21.009  VISA         DISP:WIND:TRAC:Y:RLEV -40;:POW:ATT 0;AUTO OFF
 21.010  VISA         POW:GAIN OFF;:DET:FUNC POS;:BWID:RES 3E+3;VID 300
 21.011  VISA         FREQ:STAR 100E+3;STOP 10E+6
 21.012  VISA         INIT:IMM
 21.013  CALL         Sub Anritsu MS272xB Sweep Complete

 21.014  HEAD         -2 Span: 100 kHz to 10 MHz
 21.015  TSET         TDESC = 100 kHz to 10 MHz; NTHROW = 0
 21.016  TARGET       -m
 21.017  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 21.018  VISA         CALC:MARK:Y?[I]
 21.019  ACC          dBm            1.50U                                 +DW
 21.020  MEMCX        -90.0dBm       -50.0U

 22.001  HEAD         -2 Span: 10 MHz to 1 GHz
 22.002  TSET         TDESC = 10 MHz - 1 GHz; NTHROW = 0
 22.003  VISA         FREQ:STAR 10E+6;STOP 1E+9;:BWID:RES 30E+3;VID 1E+3
 22.004  TARGET       -m
 22.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 22.006  VISA         CALC:MARK:Y?[I]
 22.007  ACC          dBm            1.25U                                 +DW
 22.008  MEMCX        -90.0dBm       -50.0U

 23.001  HEAD         -2 Span: 1 GHz to 2.2 GHz
 23.002  TSET         TDESC = 1 GHz to 2.2 GHz; NTHROW = 0
 23.003  VISA         FREQ:STAR 1E+9;STOP 2.2E+9;:BWID:RES 10E+3;VID 300
 23.004  TARGET       -m
 23.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 23.006  VISA         CALC:MARK:Y?[I]
 23.007  ACC          dBm            1.25U                                 +DW
 23.008  MEMCX        -90.0dBm       -50.0U

 24.001  HEAD         -2 Span: 2.2 GHz to 2.7 GHz
 24.002  TSET         TDESC = 2.2 GHz to 2.7 GHz; NTHROW = 0
 24.003  VISA         FREQ:STAR 2.2E+9;STOP 2.7E+9;:BWID:RES 1E+3;VID 300
 24.004  TARGET       -m
 24.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 24.006  VISA         CALC:MARK:Y?[I]
 24.007  ACC          dBm            1.25U                                 +DW
 24.008  MEMCX        -90.0dBm       -50.0U

 25.001  HEAD         -2 Span: 2.7 GHz to 2.8 GHz
 25.002  TSET         TDESC = 2.7 GHz to 2.8 GHz; NTHROW = 0
 25.003  VISA         FREQ:STAR 2.7E+9;STOP 2.8E+9;:BWID:VID 100
 25.004  TARGET       -m
 25.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 25.006  VISA         CALC:MARK:Y?[I]
 25.007  ACC          dBm            1.25U                                 +DW
 25.008  MEMCX        -90.0dBm       -50.0U

 26.001  HEAD         -2 Span: 2.8 GHz to 3.199 GHz
 26.002  TSET         TDESC = 2.8 GHz to 3.199 GHz; NTHROW = 0
 26.003  VISA         FREQ:STAR 2.8E+9;STOP 3.199E+9;:BWID:RES 10E+3;VID 300
 26.004  TARGET       -m
 26.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 26.006  VISA         CALC:MARK:Y?[I]
 26.007  ACC          dBm            1.25U                                 +DW
 26.008  MEMCX        -90.0dBm       -50.0U

 27.001  HEAD         -2 Span: 3.2 GHz to 4.009 GHz
 27.002  TSET         TDESC = 3.2 GHz to 4.009 GHz; NTHROW = 0
 27.003  VISA         FREQ:STAR 3.2E+9;STOP 4.009E+9;:BWID:RES 30E+3;VID 1E+3
 27.004  TARGET       -m
 27.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 27.006  VISA         CALC:MARK:Y?[I]
 27.007  ACC          dBm            1.25U                                 +DW
 27.008  MEMCX        -84.0dBm       -56.0U

 28.001  HEAD         -2 Span: 4.009 GHz to 5.083 GHz
 28.002  TSET         TDESC = 4.009 GHz to 5.083 GHz; NTHROW = 0
 28.003  VISA         FREQ:STAR 4.009E+9;STOP 5.083E+9;:BWID:RES 10E+3;VID 300
 28.004  TARGET       -m
 28.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 28.006  VISA         CALC:MARK:Y?[I]
 28.007  ACC          dBm            1.75U                                 +DW
 28.008  MEMCX        -84.0dBm       -56.0U

 29.001  HEAD         -2 Span: 5.083 GHz to 5.895 GHz
 29.002  TSET         TDESC = 5.083 GHz to 5.895 GHz; NTHROW = 0
 29.003  VISA         FREQ:STAR 5.083E+9;STOP 5.895E+9;:BWID:VID 100
 29.004  TARGET       -m
 29.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 29.006  VISA         CALC:MARK:Y?[I]
 29.007  ACC          dBm            1.75U                                 +DW
 29.008  MEMCX        -84.0dBm       -56.0U

 30.001  HEAD         -2 Span: 5.895 GHz to 7.1 GHz
 30.002  TSET         TDESC = 5.895 GHz to 7.1 GHz; NTHROW = 0
 30.003  VISA         FREQ:STAR 5.895E+9;STOP 7.1E+9
 30.004  TARGET       -m
 30.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 30.006  VISA         CALC:MARK:Y?[I]
 30.007  ACC          dBm            1.75U                                 +DW
 30.008  MEMCX        -84.0dBm       -56.0U

 31.001  HEAD         -2
 31.002  VISA         SYST:PRES
 31.003  HEAD
 31.004  END
