﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS272xB (1 yr) Frequency Accuracy VER /LO
INSTRUMENT:            Sub MS272xB (1 yr) Phase Noise VER /LO
INSTRUMENT:            Sub MS272xB (1 yr) GPS Option VER VISA /LO
DATE:                  2009-11-17
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  75%
NUMBER OF TESTS:       9
NUMBER OF LINES:       236
CONFIGURATION:         Local Oscillator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Anritsu MS272xB series
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Reset /LO
#        Sub Apply /LO
#        Sub Anritsu MS272xB Take Sweep Only
#        Sub Anritsu MS272xB Take Sweep (MKPK)
#        Sub MS272xB Phase Noise Tests VISA /LO
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LO]
  1.003  ENDIF

# Look up instrument name of external frequency reference.
  1.004  MATH         @ExtFreqRef = INI("startup", "FreqRefDevName")

  1.005  JMPL         FREQUENCY                    PSUBI("Frequency")
  1.006  JMPL         PHASE                        PSUBI("Phase")
  1.007  JMPL         GPS                          PSUBI("GPS Option")
  1.008  DISP         Called {Subprocedure Not Found}!
  1.009  END

  1.010  EVAL   Increment Test Number

# ====== Sub MS2721B (1 yr) Frequency Accuracy VER /LO =====================

  2.001  LABEL        FREQUENCY

  2.002  RSLT         =
  2.003  HEAD         {FREQUENCY ACCURACY}
  2.004  TARGET       -p

  2.005  CALL         Sub Reset /LO

  2.006  DISP         Make the following connections:
  2.006  DISP
  2.006  DISP         [32]       UUT         to    [V @LO_DevName]
  2.006  DISP         [32]  RF IN 50 Ohms <------> [V @LO_Output]
  2.006  DISP
  2.006  DISP         Connect the [V @ExtFreqRef] 10 MHz OUT to
  2.006  DISP         the [V @LO_DevName] [V @LO_RefIn].

  2.007  HEAD         -2 1 GHz
  2.008  TSET         TDESC = 1 GHz
  2.009  MATH         @LO_Freq = "1GHz"; @LO_Ampl = "-30dBm"
  2.010  MATH         @LO_ROSC = "Ext"
  2.011  CALL         Sub Apply /LO
  2.012  VISA         SYST:PRES
  2.013  VISA         INIT:CONT OFF
  2.014  VISA         FREQ:CENT 1E+9;SPAN 10E+3;:BAND:RES 100;VID 30
  2.015  VISA         DISP:WIND:TRAC:Y:RLEV -10;:POW:ATT 0
  2.016  TARGET       -m
  2.017  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  2.018  VISA         CALC:MARK:X?[I]
# Retrieve accuracy for external frequency reference.
  2.019  MATH         M[1] = (ACCV(@ExtFreqRef, "Timebase", MEM)) / 1E+9
  2.020  MATH         MEM = MEM / 1E+9
  2.021  ACC          GHz            M1U
  2.022  MEMCX        1.0000000GHz   0.3P%

  3.001  IF           ZCMPI(@ModelNum, "MS2721B")
  3.002  HEAD         -2 7 GHz
  3.003  TSET         TDESC = 7 GHz
  3.004  MATH         @LO_Freq = "7GHz"
  3.005  CALL         Sub Apply /LO
  3.006  VISA         FREQ:CENT 7E+9
  3.007  TARGET       -m
  3.008  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  3.009  VISA         CALC:MARK:X?[I]
  3.010  MATH         M[1] = (ACCV(@ExtFreqRef, "Timebase", MEM)) / 1E+9
  3.011  MATH         MEM = MEM / 1E+9
  3.012  ACC          GHz            M1U
  3.013  MEMCX        7.0000000GHz   0.3P%

  4.001  ELSE

  4.002  HEAD         -2 12 GHz
  4.003  TSET         TDESC = 12 GHz
  4.004  MATH         @LO_Freq = "12GHz"
  4.005  CALL         Sub Apply /LO
  4.006  VISA         FREQ:CENT 12E+9
  4.007  TARGET       -m
  4.008  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  4.009  VISA         CALC:MARK:X?[I]
  4.010  MATH         M[1] = (ACCV(@ExtFreqRef, "Timebase", MEM)) / 1E+9
  4.011  MATH         MEM = MEM / 1E+9
  4.012  ACC    20    12.0000000GHz  M1U
  4.013  MEMCX        12.0000000GHz  0.3P%

  5.001  IF           ZCMPI(@ModelNum, "MS2724B")
  5.002  HEAD         -2 19 GHz
  5.003  TSET         TDESC = 19 GHz
  5.004  MATH         @LO_Freq = "19GHz"
  5.005  CALL         Sub Apply /LO
  5.006  VISA         FREQ:CENT 19E+9
  5.007  TARGET       -m
  5.008  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  5.009  VISA         CALC:MARK:X?[I]
  5.010  MATH         M[1] = (ACCV(@ExtFreqRef, "Timebase", MEM)) / 1E+9
  5.011  MATH         MEM = MEM / 1E+9
  5.012  ACC          19.0000000GHz  M1U
  5.013  MEMCX  20    19.0000000GHz  0.3P%
  6.001  ENDIF

  6.002  ENDIF

  6.003  MATH         @LO_ROSC = "Int"
  6.004  CALL         Sub Apply /LO
  6.005  CALL         Sub Reset /LO
  6.006  VISA         SYST:PRES
  6.007  END

  6.008  EVAL   Increment Test Number

# ====== Sub MS2721B (1 yr) Phase Noise VER /LO ============================

  7.001  LABEL        PHASE

  7.002  RSLT         =
  7.003  HEAD         {SSB PHASE NOISE}
  7.004  TARGET

  7.005  VISA         SYST:PRES
  7.006  VISA         INIT:CONT OFF

  7.007  CALL         Sub Reset /LO

  7.008  IF           ZCMPI(@ModelNum, "MS2721B")
  7.009  RSLT         =
  7.010  RSLT         =7.09 GHz
  7.011  MATH         @LO_Freq = "7.09GHz"; @LO_Ampl = "13dBm"
  7.012  CALL         Sub MS272xB Phase Noise Tests VISA /LO

  7.013  ELSE

  7.014  RSLT         =
  7.015  RSLT         =2 GHz
  7.016  MATH         @LO_Freq = "2GHz"
  7.017  CALL         Sub MS272xB Phase Noise Tests VISA /LO

  7.018  RSLT         =
  7.019  RSLT         =3.44 GHz
  7.020  MATH         @LO_Freq = "3.44GHz"
  7.021  CALL         Sub MS272xB Phase Noise Tests VISA /LO

  7.022  RSLT         =
  7.023  RSLT         =3.46 GHz
  7.024  MATH         @LO_Freq = "3.46GHz"
  7.025  CALL         Sub MS272xB Phase Noise Tests VISA /LO

  7.026  RSLT         =
  7.027  RSLT         =12.0 GHz
  7.028  MATH         @LO_Freq = "12GHz"
  7.029  CALL         Sub MS272xB Phase Noise Tests VISA /LO

  7.030  IF           ZCMPI(@ModelNum, "MS2724B")
  7.031  RSLT         =
  7.032  RSLT         =19.0 GHz
  7.033  MATH         @LO_Freq = "19GHz"
  7.034  CALL         Sub MS272xB Phase Noise Tests VISA /LO
  7.035  ENDIF

  7.036  ENDIF

  7.037  CALL         Sub Reset /LO
  7.038  VISA         SYST:PRES
  7.039  END

  7.040  EVAL   Increment Test Number

# ====== Sub MS272xB (1 yr) GPS Receiver VER VISA /LO ======================

  8.001  LABEL        GPS

  8.002  RSLT         =
  8.003  HEAD         {GPS RECEIVER (Option 31)}
  8.004  TARGET       -p
  8.005  TSET         TDESC = 7 GHz

  8.006  CALL         Sub Reset /LO

  8.007  VISA         SYST:PRES
  8.008  VISA         INIT:CONT OFF
  8.009  MATH         @LO_Freq = "7GHz"; @LO_Ampl = "-30dBm"
  8.010  MATH         @LO_ROSC = "Ext"
  8.011  CALL         Sub Apply /LO
  8.012  VISA         FREQ:CENT 7E+9;SPAN 10E+3;:BAND:RES 100;VID 30
  8.013  VISA         DISP:WIND:TRAC:Y:RLEV -10;:POW:ATT 0
  8.014  TARGET       -m
  8.015  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  8.016  VISA         CALC:MARK:X?[I]
  8.017  MATH         M[1] = (ACCV(@ExtFreqRef, "Timebase", MEM)) / 1E+9
  8.018  MATH         MEM = MEM / 1E+9
  8.019  ACC          GHz            M1U
  8.020  MEMCX        7.0000000GHz   0.3P%

  9.001  MATH         @LO_ROSC = "Int"
  9.002  CALL         Sub Apply /LO
  9.003  CALL         Sub Reset /LO
  9.004  VISA         SYST:PRES
  9.005  END
