﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS272xB (1 yr) TOI VER /4418,LO,SWPG
DATE:                  2009-11-17
AUTHOR:                Fluke
REVISION:              $Revision: 18257 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       10
NUMBER OF LINES:       322
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         Local Oscillator
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS272xB series
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Reset /LO
#        Sub Apply /LO
#        Sub Output Off /LO
#        Sub Reset /SWPG
#        Sub Apply /SWPG
#        Sub Output Off /SWPG
#        Sub Anritsu MS272xB Take Sweep Only
#        Sub Anritsu MS272xB Take Sweep (MKPK)
#        Sub Set Ref Level /4418,SWPG
#        Sub Set Ref Level /4418,LO
#
#  Required Files:
#        lo_swpg_ms272x_toi.jpg
#
#  Additional Equipment Required:
#        Power Splitter, Type N, 50 Ohms, DC to 18 GHz, Isolation >18 dB,
#          Insertion loss: <1 dB, Tracking: ±0.15 dB HP/Agilent 11667A or
#          equivalent
#        Attenuator, Fixed, Type N, 50 Ohms, 20 dB, DC to 18 GHz, Aeroflex/
#          Weinschel Model 44-20 or equivalent, 2 ea.
#        Attenuator, Fixed, Type N, 50 Ohms, 6 dB, DC to 18 GHz, Aeroflex/
#          Weinschel Model 44-6 or equivalent, 2 ea.
#        Attenuator, Fixed, Type N, 50 Ohms, 2 dB, DC to 18 GHz, Aeroflex/
#          Weinschel Model 44-2 or equivalent, 2 ea.
#        Adapter, Type N (m) to Type N (m), 50 Ohms, DC to 20 GHz, Anritsu
#          Model 34NN50A or equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LO]
  1.002  IEEE         [@SWPG]
  1.003  M4418  F32   8481A
  1.004  ENDIF

  1.005  RSLT         =
  1.006  HEAD         {THIRD ORDER INTERCEPT}
  1.007  TARGET       -p

  1.008  CALL         Sub Reset /LO
  1.009  CALL         Sub Reset /SWPG

  1.010  MATH         @TestName = "Third Order Intercept"; @Error = 0
#### Remove this after testing...
  1.011  DISP         Connect the HP 8481A Power Sensor to the 4418B.
  1.012  IEEE         [@4418]RF1OD[I]
  1.013  M4418  F256  8481A          pct
  1.014  DISP         Connect the sensor to the POWER REF 1mW / 50 MHz Output.
  1.015  4418         1mW                          50MH              CP N  CH1
####
  1.016  PIC          lo_swpg_ms272x_toi.jpg

  1.017  IF           ZCMPI(@Model, "MS2721B")
  1.018  HEAD         -2 Setting SWPG 600 MHz Reference Level, Please Wait...
  1.019  TSET         TDESC = 600 MHz; NTHROW = 0
  1.020  MATH         @SWPG_Freq = "599.951MHz"; @SWPG_Ampl = "+14dBm"
  1.021  MATH         @SWPG_ROSC = "Ext"
  1.022  CALL         Sub Apply /SWPG
  1.023  MATH         @CenterFreq = 599.951E+6; @RefLvl = -20; @TestLvl = +14
  1.024  4418         -20.00D                      599.951MH         RF N  CH1

  1.025  WHILE        ((MEM <= -20.05) || (MEM >= -19.95)) && NOT(@Error)
  1.026  CALL         Sub Set Ref Level /4418,SWPG
  1.027  ENDW

  1.028  IF           @Error
# EVAL to force "FAIL" in test results as well as to notify operator.
  1.029  EVAL   -e 0 : An error occurred during the [V @TestName] test.
# Reset 'error' variable to false following error detection is sub.
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

# Save SWPG 'leveled' amplitude for subsequent re-use during first test.
  2.004  MATH         @SWPG_Lvl_1 = @SWPG_Ampl

  2.005  HEAD         -2 Setting SWPG 3.5 GHz Reference Level, Please Wait...
  2.006  MATH         @SWPG_Freq = "3.499951GHz"
  2.007  CALL         Sub Apply /SWPG
  2.008  MATH         @CenterFreq = 3.499951E+9
  2.009  4418         -20.00D                      3.499951GH        RF N  CH1

  2.010  WHILE        ((MEM <= -20.05) || (MEM >= -19.95)) && NOT(@Error)
  2.011  CALL         Sub Set Ref Level /4418,SWPG
  2.012  ENDW

  2.013  IF           @Error
  2.014  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  3.001  MATH         @Error = 0
  3.002  END
  3.003  ENDIF

# Save SWPG 'leveled' amplitude for subsequent re-use during second test.
  3.004  MATH         @SWPG_Lvl_2 = @SWPG_Ampl
  3.005  CALL         Sub Output Off /SWPG

  3.006  HEAD         -2 Setting LO 600 MHz Reference Level, Please Wait...
  3.007  MATH         @LO_Freq = "600.051MHz"; @LO_Ampl = "+14dBm"
  3.008  MATH         @LO_ROSC = "Ext"
  3.009  CALL         Sub Apply /LO
  3.010  MATH         @CenterFreq = 600.051E+6; @TestLvl = +14
  3.011  4418         -20.00D                      600.051MH         RF N  CH1

  3.012  WHILE        ((MEM <= -20.05) || (MEM >= -19.95)) && NOT(@Error)
  3.013  CALL         Sub Set Ref Level /4418,LO
  3.014  ENDW

  3.015  IF           @Error
  3.016  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  4.001  MATH         @Error = 0
  4.002  END
  4.003  ENDIF

# Save LO 'leveled' amplitude for subsequent re-use during first test.
  4.004  MATH         @LO_Lvl_1 = @LO_Ampl

  4.005  HEAD         -2 Setting LO 3.5 GHz Reference Level, Please Wait...
  4.006  MATH         @LO_Freq = "3.500051GHz"
  4.007  CALL         Sub Apply /LO
  4.008  MATH         @CenterFreq = 3.500051E+9
  4.009  4418         -20.00D                      3.500051GH        RF N  CH1

  4.010  WHILE        ((MEM <= -20.05) || (MEM >= -19.95)) && NOT(@Error)
  4.011  CALL         Sub Set Ref Level /4418,LO
  4.012  ENDW

  4.013  IF           @Error
  4.014  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  5.001  MATH         @Error = 0
  5.002  END
  5.003  ENDIF

# Save LO 'leveled' amplitude for subsequent re-use during second test.
  5.004  MATH         @LO_Lvl_2 = @LO_Ampl
  5.005  CALL         Sub Output Off /LO

  5.006  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  5.007  DISP         Disconnect Power Sensor from Power Combiner (Splitter).
  5.007  DISP
  5.007  DISP         Connect the input of the Power Splitter DIRECTLY to
  5.007  DISP         the UUT RF IN 50 Ohms, using an appropriate adapter,
  5.007  DISP         if necessary. Do NOT use a cable.
  5.007  DISP
  5.007  DISP         CAUTION: Support the Power Splitter to minimize stress
  5.007  DISP         on the UUT input connector.

  5.008  VISA         SYST:PRES
  5.009  VISA         INIT:CONT OFF
  5.010  VISA         FREQ:CENT 600.151E+6;SPAN 100;:BWID:RES 30;VID 1
  5.011  VISA         DISP:WIND:TRAC:Y:RLEV -15;:POW:ATT 0;AUTO OFF
  5.012  VISA         DET:FUNC RMS;:AVER:COUN 2;STAT ON
  5.013  MATH         @SWPG_Freq = "599.951MHz"; @SWPG_Ampl = @SWPG_Lvl_1
  5.014  CALL         Sub Apply /SWPG
  5.015  MATH         @LO_Freq = "600.051MHz"; @LO_Ampl = @LO_Lvl_1
  5.016  CALL         Sub Apply /LO
  5.017  HEAD         -2 Measuring UUT 600.151 MHz TOI, Please Wait...
  5.018  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  5.019  VISA         CALC:MARK:Y?[I]
  5.020  MATH         UpperTOIAmpl = MEM
  5.021  HEAD         -2 Measuring UUT 599.851 MHz TOI, Please Wait...
  5.022  VISA         FREQ:CENT 599.851E+6
  5.023  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  5.024  VISA         CALC:MARK:Y?[I]

  5.025  IF           MEM > UpperTOIAmpl
  5.026  MATH         WorstDist = MEM
  5.027  ELSE
  5.028  MATH         WorstDist = UpperTOIAmpl
  5.029  ENDIF

  5.030  HEAD         -2
  5.031  MATH         MEM = (-20) + ((-20 - WorstDist) / 2)
# Uncertainty is rss accuracy of two UUT measurements.
  5.032  ACC          dBm            1.77U
  5.033  MEMCX        7.0dBm         -0.0U +33.0U

  6.001  TSET         TDESC = 3.5 GHz; NTHROW = 0
  6.002  VISA         FREQ:CENT 3.500151E+9
  6.003  MATH         @SWPG_Freq = "3.499951GHz"; @SWPG_Ampl = @SWPG_Lvl_2
  6.004  CALL         Sub Apply /SWPG
  6.005  MATH         @LO_Freq = "3.500051GHz"; @LO_Ampl = @LO_Lvl_2
  6.006  CALL         Sub Apply /LO
  6.007  HEAD         -2 Measuring UUT 3.500151 GHz TOI, Please Wait...
  6.008  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  6.009  VISA         CALC:MARK:Y?[I]
  6.010  MATH         UpperTOIAmpl = MEM
  6.011  HEAD         -2 Measuring UUT 3.499851 GHz TOI, Please Wait...
  6.012  VISA         FREQ:CENT 3.499851E+9
  6.013  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  6.014  VISA         CALC:MARK:Y?[I]

  6.015  IF           MEM > UpperTOIAmpl
  6.016  MATH         WorstDist = MEM
  6.017  ELSE
  6.018  MATH         WorstDist = UpperTOIAmpl
  6.019  ENDIF

  6.020  HEAD         -2
  6.021  MATH         MEM = (-20) + ((-20 - WorstDist) / 2)
# Uncertainty is rss accuracy of two UUT measurements.
  6.022  ACC          dBm            1.77U
  6.023  MEMCX        9.0dBm         -0.0U +31.0U

  7.001  ELSE         ; Applies to all MS272xB models EXCEPT MS2721B

  7.002  HEAD         -2 Setting SWPG 2.4 GHz Reference Level, Please Wait...
  7.003  TSET         TDESC = 2.4 GHz; NTHROW = 0
  7.004  MATH         @SWPG_Freq = "2.399951GHz"; @SWPG_Ampl = "+14dBm"
  7.005  MATH         @SWPG_ROSC = "Ext"
  7.006  CALL         Sub Apply /SWPG
  7.007  MATH         @CenterFreq = 599.951E+6; @RefLvl = -20; @TestLvl = +14
  7.008  MATH         @Gap = 0.1
  7.009  4418         -20.00D                      2.399951GH        RF N  CH1

  7.010  WHILE        ((MEM <= -20.05) || (MEM >= -19.95)) && NOT(@Error)
  7.011  CALL         Sub Set Ref Level /4418,SWPG
  7.012  ENDW

  7.013  IF           @Error
  7.014  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  8.001  MATH         @Error = 0
  8.002  END
  8.003  ENDIF

  8.004  CALL         Sub Output Off /SWPG

  8.005  HEAD         -2 Setting LO 2.4 GHz Reference Level, Please Wait...
  8.006  MATH         @LO_Freq = "2.400051GHz"; @LO_Ampl = "+6dBm"
  8.007  MATH         @LO_ROSC = "Ext"
  8.008  CALL         Sub Apply /LO
  8.009  MATH         @CenterFreq = 2.400051E+9
  8.010  4418         -20.00D                      2.400051GH        RF N  CH1

  8.011  WHILE        ((MEM <= -20.05) || (MEM >= -19.95)) && NOT(@Error)
  8.012  CALL         Sub Set Ref Level /4418,LO
  8.013  ENDW

  8.014  IF           @Error
  8.015  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  9.001  MATH         @Error = 0
  9.002  END
  9.003  ENDIF

  9.004  CALL         Sub Output Off /LO

  9.005  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  9.006  DISP         Disconnect Power Sensor from Power Combiner (Splitter).
  9.006  DISP
  9.006  DISP         Connect the input of the Power Splitter DIRECTLY to
  9.006  DISP         the UUT RF IN 50 Ohms, using an appropriate adapter,
  9.006  DISP         if necessary. Do NOT use a cable.
  9.006  DISP
  9.006  DISP         CAUTION: Support the Power Splitter to minimize stress
  9.006  DISP         on the UUT input connector.

  9.007  VISA         SYST:PRES
  9.008  VISA         INIT:CONT OFF
  9.009  VISA         FREQ:CENT 2.400151E+9;SPAN 100;:BWID:RES 30;VID 1
  9.010  VISA         DISP:WIND:TRAC:Y:RLEV -15;:POW:ATT 0;AUTO OFF
  9.011  VISA         DET:FUNC RMS;:AVER:COUN 2;STAT ON
  9.012  CALL         Sub Apply /SWPG
  9.013  CALL         Sub Apply /LO
  9.014  HEAD         -2 Measuring UUT 2.400151 GHz TOI, Please Wait...
  9.015  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  9.016  VISA         CALC:MARK:Y?[I]
  9.017  MATH         UpperTOIAmpl = MEM
  9.018  HEAD         -2 Measuring UUT 2.399851 GHz TOI, Please Wait...
  9.019  VISA         FREQ:CENT 2.399851E+9
  9.020  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  9.021  VISA         CALC:MARK:Y?[I]

  9.022  IF           MEM > UpperTOIAmpl
  9.023  MATH         WorstDist = MEM
  9.024  ELSE
  9.025  MATH         WorstDist = UpperTOIAmpl
  9.026  ENDIF

  9.027  HEAD         -2
  9.028  MATH         MEM = (-20) + ((-20 - WorstDist) / 2)
  9.029  ACC          dBm            1.77U
  9.030  MEMCX        12.0dBm        -0.0U +28.0U
 10.001  ENDIF

 10.002  MATH         @LO_ROSC = "Int"; @SWPG_ROSC = "Int"
 10.003  CALL         Sub Apply /LO
 10.004  CALL         Sub Apply /SWPG
 10.005  CALL         Sub Reset /LO
 10.006  CALL         Sub Reset /SWPG
 10.007  VISA         SYST:PRES
 10.008  HEAD
 10.009  END
