﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS272xB (1 yr) Resolution Bandwidth VER VISA /9640
INSTRUMENT:            Sub MS272xB (1 yr) 2nd Harm Distortion VER VISA /9640
INSTRUMENT:            Sub MS272xB (1 yr) Absolute Amplitude VER VISA /9640
INSTRUMENT:            Sub MS272xB (1 yr) LF Response VER VISA /9640
DATE:                  2009-12-02
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       33
NUMBER OF LINES:       476
CONFIGURATION:         Fluke 9640A (XREF)
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS272xB series
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub MS272xB Level Input Signal VISA /9640
#        Sub Anritsu MS272xB Take Sweep (MKPK)
#        Sub Anritsu MS272xB Take Sweep (MKPK, MKCF)
#
#  Required Files:
#        9640_ms272x_xref.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         RBW                          PSUBI("Resolution")
  1.002  JMPL         2nd_HARMONIC                 PSUBI("2nd Harm")
  1.003  JMPL         ABS_AMPLITUDE                PSUBI("Absolute")
  1.004  JMPL         LF_FREQUENCY_RESPONSE        PSUBI("LF Response")
  1.005  DISP         Called {Subprocedure Not Found}!
  1.006  END

  1.007  EVAL   Increment Test Number

# ====== Sub MS272xB (1 yr) Resolution Bandwidth VER VISA /9640 ============

  2.001  LABEL        RBW

  2.002  RSLT         =
  2.003  HEAD         {RESOLUTION BANDWIDTH ACCURACY}
  2.004  TARGET       -p
  2.005  PIC          9640_ms272x_xref.jpg

  2.006  DISP         The next routine operator intervention occurs
  2.006  DISP         in approximately 24 minutes...

  2.007  VISA         SYST:PRES
  2.008  VISA         INIT:CONT OFF
  2.009  VISA         DISP:WIND:TRAC:Y:RLEV -10;:POW:ATT 0;AUTO OFF
  2.010  VISA         FREQ:CENT 1E+9
  2.011  HEAD         -2 Setting Reference Level, Please Wait...
  2.012  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  2.012  9640         +Freq = 1 GHz; Level = -10 dBm
  2.013  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  2.014  VISA         CALC:MARK:Y?[I]
  2.015  MATH         @9640Freq = 1E+9; @RefLvl = -10; @9640Lvl = -10
  2.016  MATH         @9640ExtRef = 10E+6

  2.017  WHILE        (MEM < -10.05) || (MEM > -9.95)
  2.018  CALL         Sub MS272xB Level Input Signal VISA /9640
  2.019  ENDW

  2.020  HEAD         -2 RBW Setting: 3 MHz
  2.021  TSET         TDESC = 3 MHz
  2.022  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  2.022  9640         +Freq = 1 GHz; Level = -10 dBm
  2.023  VISA         FREQ:SPAN 4.5E+6;:BWID:RES 3E+6
  2.024  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  2.025  VISA         OBW:STAT ON;METH XDB;XDB 3
  2.026  TARGET       -m
  2.027  CALL         Sub Anritsu MS272xB Take Sweep Only
  2.028  VISA         READ:OBW?[I$]
  2.029  MATH         MEM = FLD(MEM2, 1, ",") / 1E+6
  2.030  ACC          3.00MHz        1e-6U
  2.031  MEMCX        3.00MHz        10%

  3.001  HEAD         -2 RBW Setting: 1 MHz
  3.002  TSET         TDESC = 1 MHz
  3.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  3.003  9640         +Freq = 1 GHz; Level = -10 dBm
  3.004  VISA         FREQ:SPAN 1.5E+6;:BWID:RES 1E+6
  3.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  3.006  VISA         OBW:STAT ON;METH XDB;XDB 3
  3.007  TARGET       -m
  3.008  CALL         Sub Anritsu MS272xB Take Sweep Only
  3.009  VISA         READ:OBW?[I$]
  3.010  MATH         MEM = FLD(MEM2, 1, ",") / 1E+6
  3.011  ACC          1.00MHz        1e-6U
  3.012  MEMCX        1.00MHz        10%

  4.001  HEAD         -2 RBW Setting: 300 kHz
  4.002  TSET         TDESC = 300 kHz
  4.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  4.003  9640         +Freq = 1 GHz; Level = -10 dBm
  4.004  VISA         FREQ:SPAN 450E+3;:BWID:RES 300E+3
  4.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  4.006  VISA         OBW:STAT ON;METH XDB;XDB 3
  4.007  TARGET       -m
  4.008  CALL         Sub Anritsu MS272xB Take Sweep Only
  4.009  VISA         READ:OBW?[I$]
  4.010  MATH         MEM = FLD(MEM2, 1, ",") / 1E+3
  4.011  ACC          300kHz         1e-3U
  4.012  MEMCX        300kHz         10%

  5.001  HEAD         -2 RBW Setting: 100 kHz
  5.002  TSET         TDESC = 100 kHz
  5.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  5.003  9640         +Freq = 1 GHz; Level = -10 dBm
  5.004  VISA         FREQ:SPAN 150E+3;:BWID:RES 100E+3
  5.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  5.006  VISA         OBW:STAT ON;METH XDB;XDB 3
  5.007  TARGET       -m
  5.008  CALL         Sub Anritsu MS272xB Take Sweep Only
  5.009  VISA         READ:OBW?[I$]
  5.010  MATH         MEM = FLD(MEM2, 1, ",") / 1E+3
  5.011  ACC          100kHz         1e-3U
  5.012  MEMCX        100kHz         10%

  6.001  HEAD         -2 RBW Setting: 30 kHz
  6.002  TSET         TDESC = 30 kHz
  6.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  6.003  9640         +Freq = 1 GHz; Level = -10 dBm
  6.004  VISA         FREQ:SPAN 45E+3;:BWID:RES 30E+3
  6.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  6.006  VISA         OBW:STAT ON;METH XDB;XDB 3
  6.007  TARGET       -m
  6.008  CALL         Sub Anritsu MS272xB Take Sweep Only
  6.009  VISA         READ:OBW?[I$]
  6.010  MATH         MEM = FLD(MEM2, 1, ",") / 1E+3
  6.011  ACC          30.0kHz        1e-3U
  6.012  MEMCX        30.0kHz        10%

  7.001  HEAD         -2 RBW Setting: 10 kHz
  7.002  TSET         TDESC = 10 kHz
  7.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  7.003  9640         +Freq = 1 GHz; Level = -10 dBm
  7.004  VISA         FREQ:SPAN 15E+3;:BWID:RES 10E+3
  7.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  7.006  VISA         OBW:STAT ON;METH XDB;XDB 3
  7.007  TARGET       -m
  7.008  CALL         Sub Anritsu MS272xB Take Sweep Only
  7.009  VISA         READ:OBW?[I$]
  7.010  MATH         MEM = FLD(MEM2, 1, ",") / 1E+3
  7.011  ACC          10.0kHz        1e-3U
  7.012  MEMCX        10.0kHz        10%

  8.001  HEAD         -2 RBW Setting: 3 kHz
  8.002  TSET         TDESC = 3 kHz
  8.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  8.003  9640         +Freq = 1 GHz; Level = -10 dBm
  8.004  VISA         FREQ:SPAN 4.5E+3;:BWID:RES 3E+3
  8.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  8.006  VISA         OBW:STAT ON;METH XDB;XDB 3
  8.007  TARGET       -m
  8.008  CALL         Sub Anritsu MS272xB Take Sweep Only
  8.009  VISA         READ:OBW?[I$]
  8.010  MATH         MEM = FLD(MEM2, 1, ",") / 1E+3
  8.011  ACC          3.00kHz        1e-3U
  8.012  MEMCX        3.00kHz        10%

  9.001  HEAD         -2 RBW Setting: 1 kHz
  9.002  TSET         TDESC = 1 kHz
  9.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  9.003  9640         +Freq = 1 GHz; Level = -10 dBm
  9.004  VISA         FREQ:SPAN 2E+3;:BWID:RES 1E+3
  9.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK, MKCF)
  9.006  VISA         OBW:STAT ON;METH XDB;XDB 3
  9.007  TARGET       -m
  9.008  CALL         Sub Anritsu MS272xB Take Sweep Only
  9.009  VISA         READ:OBW?[I$]
  9.010  MATH         MEM = FLD(MEM2, 1, ",") / 1E+3
  9.011  ACC          1.00kHz        1e-3U
  9.012  MEMCX        1.00kHz        10%

 10.001  HEAD         -2 RBW Setting: 300 Hz
 10.002  TSET         TDESC = 300 Hz
 10.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 10.003  9640         +Freq = 1 GHz; Level = -10 dBm
 10.004  VISA         FREQ:SPAN 450;:BWID:RES 300
 10.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 10.006  VISA         OBW:STAT ON;METH XDB;XDB 3
 10.007  TARGET       -m
 10.008  CALL         Sub Anritsu MS272xB Take Sweep Only
 10.009  VISA         READ:OBW?[I$]
 10.010  MATH         MEM = FLD(MEM2, 1, ",")
 10.011  ACC          300Hz          1e-3U
 10.012  MEMCX        300Hz          10%

 11.001  HEAD         -2 RBW Setting: 100 Hz
 11.002  TSET         TDESC = 100 Hz
 11.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 11.003  9640         +Freq = 1 GHz; Level = -10 dBm
 11.004  VISA         FREQ:SPAN 150;:BWID:RES 100
 11.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK, MKCF)
 11.006  VISA         OBW:STAT ON;METH XDB;XDB 3
 11.007  TARGET       -m
 11.008  CALL         Sub Anritsu MS272xB Take Sweep Only
 11.009  VISA         READ:OBW?[I$]
 11.010  MATH         MEM = FLD(MEM2, 1, ",")
 11.011  ACC          100Hz          1e-3U
 11.012  MEMCX        100Hz          10%

 12.001  HEAD         -2 RBW Setting: 30 Hz
 12.002  TSET         TDESC = 30 Hz
 12.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 12.003  9640         +Freq = 1 GHz; Level = -10 dBm
 12.004  VISA         FREQ:SPAN 50;:BWID:RES 30;VID 3
 12.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 12.006  VISA         OBW:STAT ON;METH XDB;XDB 3
 12.007  TARGET       -m
 12.008  CALL         Sub Anritsu MS272xB Take Sweep Only
 12.009  VISA         READ:OBW?[I$]
 12.010  MATH         MEM = FLD(MEM2, 1, ",")
 12.011  ACC          30.0Hz         1e-3U
 12.012  MEMCX        30.0Hz         10%

 13.001  HEAD         -2 RBW Setting: 10 Hz
 13.002  TSET         TDESC = 10 Hz
 13.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 13.003  9640         +Freq = 1 GHz; Level = -10 dBm
 13.004  VISA         FREQ:SPAN 30;:BWID:RES 10
 13.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK, MKCF)
 13.006  VISA         OBW:STAT ON;METH XDB;XDB 3
 13.007  TARGET       -m
 13.008  CALL         Sub Anritsu MS272xB Take Sweep Only
 13.009  VISA         READ:OBW?[I$]
 13.010  MATH         MEM = FLD(MEM2, 1, ",")
 13.011  ACC          10.0Hz         1e-3U
 13.012  MEMCX        10.0Hz         10%

 14.001  IF           NOT(ZCMPI(@ModelNum, "MS2721B"))
 14.002  HEAD         -2 RBW Setting: 1 Hz
 14.003  TSET         TDESC = 1 Hz
 14.004  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 14.004  9640         +Freq = 1 GHz; Level = -10 dBm
 14.005  VISA         BWID:RES 1
 14.006  CALL         Sub Anritsu MS272xB Take Sweep (MKPK, MKCF)
 14.007  VISA         OBW:STAT ON;METH XDB;XDB 3
 14.008  TARGET       -m
 14.009  CALL         Sub Anritsu MS272xB Take Sweep Only
 14.010  VISA         READ:OBW?[I$]
 14.011  MATH         MEM = FLD(MEM2, 1, ",")
 14.012  ACC          1.00Hz         1e-3U
 14.013  MEMCX        1.00Hz         10%
 15.001  ENDIF

 15.002  HEAD         -2
 15.003  9640         Reset
 15.004  VISA         SYST:PRES
 15.005  MATH         DEL("@9640ExtRef")
 15.006  HEAD
 15.007  END

 15.008  EVAL   Increment Test Number

# ====== Sub MS272xB (1 yr) 2nd Harm Distortion VER VISA /9640 =============

 16.001  LABEL        2nd_HARMONIC

 16.002  RSLT         =
 16.003  HEAD         {SECOND HARMONIC DISTORTION}
 16.004  TARGET       -p
 16.005  TSET         TDESC = 50.1 MHz fundamental
 16.006  VISA         SYST:PRES
 16.007  VISA         INIT:CONT OFF
 16.008  VISA         FREQ:CENT 50.1E+6;SPAN 100E+3
 16.009  VISA         DISP:WIND:TRAC:Y:RLEV -20;:POW:ATT 0;AUTO OFF
 16.010  VISA         BWID:RES 1E+3;VID 10;:DET:FUNC POS
 16.011  VISA         AVER:COUN 5;STAT ON
 16.012  9640         +Level = -30 dBm; Freq = 50.1 MHz; OutpImp = 50 Ohms
 16.013  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 16.014  VISA         CALC:MARK:DELT ON
 16.015  VISA         FREQ:CENT 100.2E+6
 16.016  TARGET       -m
 16.017  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 16.018  VISA         CALC:MARK:DELT:Y?[I]
 16.019  ACC          dBc            1.25U
 16.020  MEMCX        -50.00dBc      -70.00U

 17.001  9640         Reset
 17.002  VISA         SYST:PRES
 17.003  HEAD
 17.004  END

 17.005  EVAL   Increment Test Number

# ====== Sub MS272xB (1 yr) Absolute Amplitude VER VISA /9640 ==============

 18.001  LABEL        ABS_AMPLITUDE

 18.002  RSLT         =
 18.003  HEAD         {ABSOLUTE AMPLITUDE ACCURACY} (50 MHz)
 18.004  RSLT         =
 18.005  RSLT         =50 MHz Amplitude Accuracy Verification
 18.006  HEAD         -2 0 dBm, Ref Level +10 dBm, 30 dB Attenuation
 18.007  TARGET       -p
 18.008  VISA         SYST:PRES
 18.009  VISA         INIT:CONT OFF
 18.010  VISA         FREQ:CENT 50E+6;SPAN 10E+3;:BWID:RES 1E+3;VID 10
 18.011  VISA         DISP:WIND:TRAC:Y:RLEV 10;:POW:ATT 30;AUTO OFF
 18.012  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 18.012  9640         +Level = 0 dBm; Freq = 50 MHz
 18.013  TARGET       -m
 18.014  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 18.015  VISA         CALC:MARK:Y?[I]
 18.016  MEMCX  50    0.00dBm        1.25U

 19.001  HEAD         -2 -2 dBm, Ref Level +10 dBm, 30 dB Attenuation
 19.002  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 19.002  9640         +Level = -2 dBm; Freq = 50 MHz
# Value is used later during HF frequency response test.
 19.003  MATH         @50MHzRefHiAcc = REFACC() / CONF("Fluke 9640A")
 19.004  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 19.005  VISA         CALC:MARK:Y?[I]
# Value is used later during HF frequency response test.
 19.006  MATH         @50MHzHiRefLvl = MEM

 19.007  HEAD         -2 -4 dBm, Ref Level +10 dBm, 30 dB Attenuation
 19.008  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 19.008  9640         +Level = -4 dBm; Freq = 50 MHz
 19.009  TARGET       -m
 19.010  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 19.011  VISA         CALC:MARK:Y?[I]
 19.012  MEMCX  50    -4.00dBm       1.25U

 20.001  HEAD         -2 -10 dBm, Ref Level 0 dBm, 20 dB Attenuation
 20.002  VISA         DISP:WIND:TRAC:Y:RLEV 0;:POW:ATT 20;AUTO OFF
 20.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 20.003  9640         +Level = -10 dBm; Freq = 50 MHz
 20.004  TARGET       -m
 20.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 20.006  VISA         CALC:MARK:Y?[I]
 20.007  MEMCX  50    -10.00dBm      1.25U

 21.001  HEAD         -2 -14 dBm, Ref Level 0 dBm, 20 dB Attenuation
 21.002  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 21.002  9640         +Level = -14 dBm; Freq = 50 MHz
 21.003  TARGET       -m
 21.004  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 21.005  VISA         CALC:MARK:Y?[I]
 21.006  MEMCX  50    -14.00dBm      1.25U

 22.001  HEAD         -2 -20 dBm, Ref Level -10 dBm, 10 dB Attenuation
 22.002  VISA         DISP:WIND:TRAC:Y:RLEV -10;:POW:ATT 10;AUTO OFF
 22.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 22.003  9640         +Level = -20 dBm; Freq = 50 MHz
 22.004  TARGET       -m
 22.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 22.006  VISA         CALC:MARK:Y?[I]
 22.007  MEMCX  50    -20.00dBm      1.25U

 23.001  HEAD         -2 -24 dBm, Ref Level -10 dBm, 10 dB Attenuation
 23.002  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 23.002  9640         +Level = -24 dBm; Freq = 50 MHz
 23.003  TARGET       -m
 23.004  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 23.005  VISA         CALC:MARK:Y?[I]
 23.006  MEMCX  50    -24.00dBm      1.25U

 24.001  HEAD         -2 -30 dBm, Ref Level -20 dBm, 0 dB Attenuation
 24.002  VISA         DISP:WIND:TRAC:Y:RLEV -20;:POW:ATT 0;AUTO OFF
 24.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 24.003  9640         +Level = -30 dBm; Freq = 50 MHz
 24.004  TARGET       -m
 24.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 24.006  VISA         CALC:MARK:Y?[I]
# Value is used later during HF frequency response test.
 24.007  MATH         @50MHzLoRefLvl = MEM
 24.008  MEMCX  50    -30.00dBm      1.25U

 25.001  HEAD         -2 -34 dBm, Ref Level -20 dBm, 0 dB Attenuation
 25.002  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 25.002  9640         +Level = -34 dBm; Freq = 50 MHz
 25.003  TARGET       -m
 25.004  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 25.005  VISA         CALC:MARK:Y?[I]
 25.006  MEMCX  50    -34.00dBm      1.25U

 26.001  HEAD         -2 -40 dBm, Ref Level -30 dBm, 0 dB Attenuation
 26.002  VISA         DISP:WIND:TRAC:Y:RLEV -30
 26.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 26.003  9640         +Level = -40 dBm; Freq = 50 MHz
 26.004  TARGET       -m
 26.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 26.006  VISA         CALC:MARK:Y?[I]
 26.007  MEMCX  50    -40.00dBm      1.25U

 27.001  HEAD         -2 -44 dBm, Ref Level -30 dBm, 0 dB Attenuation
 27.002  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 27.002  9640         +Level = -44 dBm; Freq = 50 MHz
 27.003  TARGET       -m
 27.004  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 27.005  VISA         CALC:MARK:Y?[I]
 27.006  MEMCX  50    -44.00dBm      1.25U

 28.001  HEAD         -2 -50 dBm, Ref Level -40 dBm, 0 dB Attenuation
 28.002  VISA         DISP:WIND:TRAC:Y:RLEV -40
 28.003  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 28.003  9640         +Level = -50 dBm; Freq = 50 MHz
 28.004  TARGET       -m
 28.005  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 28.006  VISA         CALC:MARK:Y?[I]
 28.007  MEMCX  50    -50.00dBm      1.25U

 29.001  9640         Reset
 29.002  VISA         SYST:PRES
 29.003  END

 29.004  EVAL   Increment Test Number

# ====== Sub MS272xB (1 yr) LF Frequency Response VER VISA /9640 ===========

 30.001  LABEL        LF_FREQUENCY_RESPONSE

 30.002  HEAD         ABSOLUTE AMPLITUDE ACCURACY
 30.003  RSLT         =
 30.004  RSLT         =9 kHz to 100 kHz Amplitude Accuracy
 30.005  HEAD         -2 9.5 kHz: -20 dBm, Ref Lvl -20 dBm, Input Atten 0 dB
 30.006  TARGET       -p
 30.007  TSET         TDESC = 9.5 kHz
 30.008  VISA         SYST:PRES
 30.009  VISA         INIT:CONT OFF
 30.010  VISA         FREQ:CENT 9.5E+3;SPAN 10E+3;:BWID:RES 1E+3;VID 10
 30.011  VISA         DISP:WIND:TRAC:Y:RLEV -20;:POW:ATT 0;AUTO OFF
 30.012  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 30.012  9640         +Level = -20 dBm; Freq = 9.5 kHz
 30.013  TARGET       -m
 30.014  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 30.015  VISA         CALC:MARK:Y?[I]
 30.016  MATH         MEM = MEM + 0.047
 30.017  MEMCX  50    -20.00dBm      1.50U

 31.001  HEAD         -2 55 kHz: -20 dBm, Ref Lvl -20 dBm, Input Atten 0 dB
 31.002  TSET         TDESC = 55 kHz
 31.003  VISA         FREQ:CENT 55E+3
 31.004  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 31.004  9640         +Level = -20 dBm; Freq = 55 kHz
 31.005  TARGET       -m
 31.006  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 31.007  VISA         CALC:MARK:Y?[I]
 31.008  MATH         MEM = MEM + 0.002
 31.009  MEMCX  50    -20.00dBm      1.50U

 32.001  HEAD         -2 95 kHz: -20 dBm, Ref Lvl -20 dBm, Input Atten 0 dB
 32.002  TSET         TDESC = 95 kHz
 32.003  VISA         FREQ:CENT 95E+3
 32.004  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
 32.004  9640         +Level = -20 dBm; Freq = 95 kHz
 32.005  TARGET       -m
 32.006  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 32.007  VISA         CALC:MARK:Y?[I]
 32.008  MEMCX  50    -20.00dBm      1.50U

 33.001  9640         Reset
 33.002  VISA         SYST:PRES
 33.003  HEAD
 33.004  END
