﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS272xB Level Input Signal VISA /9640
DATE:                  2009-11-17
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       117
CONFIGURATION:         Fluke 9640A (XREF)
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
# Procedure Author:
#        DFM
#
# Model(s) Covered:
#        Anritsu MS272x series
#
# Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
# Subprocedures:
#        Sub Anritsu MS272xB Take Sweep (MKPK)
#
# Required Files:
#        None
#
# Additional Equipment Required:
#        None
#
# The copyright for this procedure is owned by Fluke Corporation.
#
# The necessary parameters for this procedure are passed from the calling
# procedure.
#
# @CenterFreq : The desired 9640A output frequency in base units.
# @RefLvl     : The desired reference level as measured by the UUT.
# @TestLvl    : The 9640A output level required to generate the specified
#               reference level.
#
# Example(1):
# 1.001  VISA         CALC:MARK:Y?[I]
# 1.002  MATH         @9640RefOut = 10E+6
# 1.003  MATH         @9640Freq = 50E+6; @RefLvl = 0; @9640Lvl = 0
#
# 1.003  WHILE        (MEM <= -0.05) || (MEM >= 0.05)
# 1.004  CALL         Sub MS272xB Level Input Signal VISA /9640
# 1.005  ENDW
#
# Note: The @RefLvl and @TestLvl values MUST be stated in dBm. If it is
# desired to establish a level using linear units, i.e., volts, see the
# following Example(2).
#
# Example(2):
# 1.001  VISA         CALC:MARK:Y?[I]
# 1.002  MATH         MEM = VTODBM(MEM, 50)
# 1.003  MATH         @9640Freq = 50E+6; @RefLvl = 0; @9640Lvl = 0
#
# 1.004  WHILE        (MEM <= -0.05) || (MEM >= 0.05)
# 1.005  CALL         Sub Anritsu MS272xB Level Input Signal VISA /9640
# 1.006  MATH         MEM = VTODBM(MEM, 50)
# 1.007  ENDW
#
# Note: It is assumed that the @RefLvl and @TestLvl values are stated in dBm.
# If it is desired to establish a level using linear units, i.e., volts, see
# the following example(2).
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# If not specified in the calling procedure, load default values into the
# following variables to facilitate operation with various combinations of
# the 9640A Reference Output Frequency and/or External Reference Frequency.
  1.001  IF           NOT(ISVAR("@9640RefOut"))
  1.002  MATH         @9640RefOut = 10E+6
  1.003  ENDIF

  1.004  IF           NOT(ISVAR("@9640ExtRef"))
  1.005  MATH         @9640ExtRef = 10E+6
  1.006  ENDIF

  1.007  MATH         @9640Lvl = @RefLvl + (@9640Lvl - MEM)

  1.008  IF           (@9640Lvl < -100) || (@9640Lvl > 20)
  1.009  OPBR         -z Error: Unable to adjust 9640A output level within
  1.009  OPBR         [32]      its operating range to achieve the desired
  1.009  OPBR         [32]      UUT test level ([V @RefLvl] dBm).
  1.009  OPBR
  1.009  OPBR         [32]      Verify UUT test requirements, 9640A output
  1.009  OPBR         [32]      limits, and connections prior to retrying,
  1.009  OPBR         [32]      if desired.
  1.009  OPBR
  1.009  OPBR         Do you wish to RETRY?
  1.009  OPBR
  1.009  OPBR         (Selecting "No" will cause the [V @TestName] test
  1.009  OPBR         to be terminated.)

  1.010  IF           MEM1
  1.011  MATH         @9640Lvl = @RefLvl
  1.012  ELSE
  1.013  MATH         @Error = 1
  1.014  END
  1.015  ENDIF

  1.016  ENDIF

  1.017  9640         OutputImp = 50 Ohms; RefFreqOutp = [V @9640RefOut] Hz
  1.017  9640         ExtRefFreq = [V @9640ExtRef] Hz
  1.017  9640         +Level = [V @9640Lvl] dBm; Freq = [V @9640Freq] Hz

  1.018  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  1.019  VISA         CALC:MARK:Y?[I]
  1.020  END
