﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS272xB Phase Noise Tests VISA /LO
DATE:                  2009-11-10
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       137
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS272xB series
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Apply /LO
#        Sub Anritsu MS272xB Take Sweep (MKPK)
#        Sub Anritsu MS272xB Take Sweep Only
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Determine ACC tolerance depending on UUT.
  1.001  IF           ZCMPI(@ModelNum, "MS2721B")
  1.002  TOL          2.00U
  1.003  ELSE
  1.004  TOL          1.30U
  1.005  ENDIF

  1.006  MATH         UUT_Freq = BASE(@LO_Freq) + 50E+3
  1.007  MATH         HeadFreq = BASE(@LO_Freq) / 1E+9

  1.008  HEAD         -2 10 kHz Offset at [V HeadFreq] GHz
  1.009  TARGET       -p
  1.010  TSET         TDESC = 10 kHz Offset
  1.011  CALL         Sub Apply /LO
  1.012  VISA         SYST:PRES
  1.013  VISA         INIT:CONT OFF
  1.014  VISA         FREQ:CENT [V UUT_Freq];SPAN 110E+3
  1.015  VISA         BAND:RES 1E+3;VID 3
  1.016  VISA         DISP:WIND:TRAC:Y:RLEV 0;:POW:ATT 15
  1.017  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  1.018  VISA         AVER:COUN 7;TYPE SCAL
  1.019  VISA         CALC:MARK:X?[I]
  1.020  MATH         CentFreq = MEM
  1.021  VISA         CALC:MARK:Y?[I]
  1.022  MATH         RefLvl = MEM
  1.023  MATH         MarkFreq = CentFreq + 10E+3
  1.024  VISA         CALC:MARK:X [V MarkFreq]
  1.025  ACC          -100.00dBc/Hz  TOL                                   +DW
  1.026  TARGET       -m
  1.027  CALL         Sub Anritsu MS272xB Take Sweep Only
  1.028  VISA         CALC:MARK:Y?[I]
  1.029  MATH         MEM = (MEM - RefLvl) - 30
  1.030  MEMCX        -100.00dBc/Hz  +0U -30U

  2.001  HEAD         -2 20 kHz Offset at [V HeadFreq] GHz
  2.002  TSET         TDESC = 20 kHz Offset
  2.003  CALL         Sub Apply /LO
  2.004  MATH         MarkFreq = CentFreq + 20E+3
  2.005  VISA         CALC:MARK:X [V MarkFreq]
  2.006  ACC          -100.00dBc/Hz  TOL                                   +DW
  2.007  TARGET       -m
  2.008  CALL         Sub Anritsu MS272xB Take Sweep Only
  2.009  VISA         CALC:MARK:Y?[I]
  2.010  MATH         MEM = (MEM - RefLvl) - 30
  2.011  MEMCX        -100.00dBc/Hz  +0U -30U

  3.001  HEAD         -2 30 kHz Offset at [V HeadFreq] GHz
  3.002  TSET         TDESC = 30 kHz Offset
  3.003  CALL         Sub Apply /LO
  3.004  MATH         MarkFreq = CentFreq + 30E+3
  3.005  VISA         CALC:MARK:X [V MarkFreq]
  3.006  ACC          -100.00dBc/Hz  TOL                                   +DW
  3.007  TARGET       -m
  3.008  CALL         Sub Anritsu MS272xB Take Sweep Only
  3.009  VISA         CALC:MARK:Y?[I]
  3.010  MATH         MEM = (MEM - RefLvl) - 30
  3.011  MEMCX        -100.00dBc/Hz  +0U -30U

  4.001  HEAD         -2 100 kHz Offset at [V HeadFreq] GHz
  4.002  TSET         TDESC = 100 kHz Offset
  4.003  CALL         Sub Apply /LO
  4.004  MATH         MarkFreq = CentFreq + 100E+3
  4.005  VISA         CALC:MARK:X [V MarkFreq]
  4.006  ACC          -102.00dBc/Hz  TOL                                   +DW
  4.007  TARGET       -m
  4.008  CALL         Sub Anritsu MS272xB Take Sweep Only
  4.009  VISA         CALC:MARK:Y?[I]
  4.010  MATH         MEM = (MEM - RefLvl) - 30
  4.011  MEMCX        -102.00dBc/Hz  +0U -30U

  5.001  IF           NOT(ZCMPI(@ModelNum, "MS2721B"))
  5.002  HEAD         -2 1000 kHz Offset at [V HeadFreq] GHz
  5.003  TSET         TDESC = 1000 kHz Offset
  5.004  CALL         Sub Apply /LO
  5.005  MATH         MarkFreq = CentFreq + 1E+6
  5.006  VISA         CALC:MARK:X [V MarkFreq]
  5.007  ACC          -105.00dBc/Hz  1.30U                                 +DW
  5.008  TARGET       -m
  5.009  CALL         Sub Anritsu MS272xB Take Sweep Only
  5.010  VISA         CALC:MARK:Y?[I]
  5.011  MATH         MEM = (MEM - RefLvl) - 30
  5.012  MEMCX        -105.00dBc/Hz  +0U -25U

  6.001  HEAD         -2 10 MHz Offset at [V HeadFreq] GHz
  6.002  TSET         TDESC = 10 MHz Offset
  6.003  CALL         Sub Apply /LO
  6.004  MATH         MarkFreq = CentFreq + 10E+6
  6.005  VISA         CALC:MARK:X [V MarkFreq]
  6.006  ACC          -120.00dBc/Hz  1.30U                                 +DW
  6.007  TARGET       -m
  6.008  CALL         Sub Anritsu MS272xB Take Sweep Only
  6.009  VISA         CALC:MARK:Y?[I]
  6.010  MATH         MEM = (MEM - RefLvl) - 30
  6.011  MEMCX        -120.00dBc/Hz  +0U -10U
  7.001  ENDIF

  7.002  HEAD         -2
  7.003  END
