﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS272xB Set Ref Level VISA /SWPG
DATE:                  2009-11-18
AUTHOR:                Fluke
REVISION:              $Revision: 18257 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       119
CONFIGURATION:         Sweep Generator
=============================================================================
#
# Procedure Author:
#        DFM
#
# Model(s) Covered:
#        Anritsu MS272x series
#
# Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
# Subprocedures:
#        Sub Anritsu MS272xB Take Sweep (MKPK)
#
# Required Files:
#        None
#
# Additional Equipment Required:
#        None
#
# The necessary parameters for this procedure are passed from the calling
# procedure.
#
# @TestName   : The name of the test underway, used to notify operator and
#               annotate the test results.
# @RefLvl     : The desired reference level as measured by the UUT.
# @TestLvl    : The SWPG output level required to generate the specified
#               reference level.
# @Error      : Flag to indicate success or failure of leveling process and
#               facilitate 'bail-out' in the case of the latter.
#
# Example(1):
# 1.001  VISA         CALC:MARK:Y?[I]
# 1.002  MATH         @TestName = "Frequency Response"
# 1.003  MATH         @RefLvl = 0; @TestLvl = 0
#
# 1.004  WHILE        ((MEM <= -0.05) || (MEM >= 0.05)) && NOT(@Error)
# 1.005  CALL         Sub MS272xB Set Ref Level VISA /SWPG
# 1.006  ENDW
#
# 1.007  IF           @Error
# 1.008  EVAL   -e 0 : An error occurred during the [V @TestName] test.
# 2.001  MATH         @Error = 0
# 2.002  END
# 2.003  ENDIF
#
# Note: The @RefLvl and @TestLvl values MUST be stated in dBm. If it is
# desired to establish a level using linear units, i.e., volts, see the
# following Example(2).
#
# Example(2):
# 1.001  VISA         CALC:MARK:Y?[I]
# 1.002  MATH         MEM = VTODBM(MEM, 50)
# 1.003  MATH         @TestName = "Frequency Response"
# 1.004  MATH         @RefLvl = 0; @TestLvl = 0
#
# 1.005  WHILE        ((MEM <= -0.05) || (MEM >= 0.05)) && NOT(@Error)
# 1.005  CALL         Sub MS272xB Set Ref Level VISA /SWPG
# 1.006  MATH         MEM = VTODBM(MEM, 50)
# 1.007  ENDW
#
# 1.008  IF           @Error
# 1.009  EVAL   -e 0 : An error occurred during the [V @TestName] test.
# 2.001  MATH         @Error = 0
# 2.002  END
# 2.003  ENDIF
#
# The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  ENDIF

  1.004  MATH         @TestLvl = @RefLvl + (@TestLvl - MEM)

  1.005  IF           (@TestLvl < -80) || (@TestLvl > 20)
  1.006  OPBR         -z Error: Unable to adjust the Sweep Generator output
  1.006  OPBR         [32]      level within its operating range to achieve
  1.006  OPBR         [32]      the desired test level ([V @RefLvl] dBm).
  1.006  OPBR
  1.006  OPBR         [32]      Verify UUT test requirements, SWPG output
  1.006  OPBR         [32]      limits, and connections prior to retrying,
  1.006  OPBR         [32]      if desired.
  1.006  OPBR
  1.006  OPBR         Do you wish to RETRY?
  1.006  OPBR
  1.006  OPBR         (Selecting "No" will cause the [V @TestName] test
  1.006  OPBR         to be terminated.)

  1.007  IF           MEM1
  1.008  MATH         @TestLvl = @RefLvl
  1.009  ELSE
  1.010  MATH         @Error = 1
  1.011  END
  1.012  ENDIF

  1.013  ENDIF

  1.014  MATH         @SWPG_Ampl = @TestLvl & "dBm"
  1.015  CALL         Sub Apply /SWPG
  1.016  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  1.017  VISA         CALC:MARK:Y?[I]
  1.018  END
